Skip to content

Lists payments configuration

Request

GET {{baseURL}}/v2/settings/payment-config

This endpoint lists the payment configuration settings.

This endpoint requires a merchant API token. A partner API token will result in a permissions error including possibly a 403 response.

See Also:
To retrieve the contact information, see GET /v2/settings/contact-information.
To retrieve the transaction autofill settings, see GET /v2/settings/transaction-autofill.
To update the transaction autofill settings, see PATCH /v2/settings/transaction-autofill.

Security
Bearer
curl -i -X GET \
  https://sandbox.api.flute.com/v2/settings/payment-config \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
zeroCostProcessingOptionstring

Indicates the zero cost processing option.

Zero cost processing is a pricing strategy that the merchant passes the cost of credit card processing fees on to the customer. The result is that the merchant pays little to no fees.

Valid values are:

TypeMeaning
CashDiscountCustomers paying with cash receive a discount off the posted price.
DualPricingTwo prices are displayed side by side. This is a cash price and a card price. The customer chooses which to pay.
NoneThe merchant absorbs the processing fees themselves.
SurchargeA fee is added to the transaction when a customer pays by credit card. The surcharge amount covers the processing cost.

Example: DualPricing

Enum:"None""CashDiscount""DualPricing""Surcharge"
Example:"DualPricing"
defaultTipsOptionsArray of numbers or null, (double)

Indicates the default tip percentage suggestion options.

This is an array of percentage values that display at the time of purchase. They offer preselected tip percentage suggestions as a convenience for the purchasers.

Example: [ 15, 18, 20 ] (as 15%, 18%, and 20%)

Example:
[ 15, 18, 20 ]
defaultSurchargeRatenumber or null, (double)

Indicates the default surcharge rate.

Examples:
1.5 (as 1.5%)
5 (as 5%)
22 (as 22%)

Example:1.5
defaultCashDiscountRatenumber or null, (double)

Indicates the cash discount rate.

Examples:
1.5 (as 1.5%)
5 (as 5%)
20 (as 20%)

Example:1.5
defaultDualPricingRatenumber or null, (double)

Indicates the default dual pricing rate.

Examples:
1.8 (as 1.8%)
5 (as 5%)
20 (as 20%)

Example:1.8
availableCurrenciesArray of strings or null

Indicates the available currencies (in uppercase ISO 4217 currency code).

Example: USD

Example:
[ "USD" ]
availableCardTypesArray of strings or null

Indicates the available card types.

Example: [ "Visa", "MasterCard", "AmericanExpress" ]

Example:
[ "Visa", "MasterCard", "AmericanExpress" ]
availableTransactionTypesArray of strings or null

Indicates the available transaction types.

Example: [ "Authorization", "Sale", "Refund" ]

Example:
[ "Authorization", "Sale", "Refund" ]
isTipsEnabledboolean

Indicates tips are enabled.

If true, tips are enabled.
If false, tips are not enabled.

Example: true

Example:true
availablePaymentProcessorsArray of objects or null

Indicates the available payment processors.

addressVerificationServiceOptionsobject
isCustomerCardSavingByTerminalEnabledboolean

Indicates the terminal can save customer card after a transaction.

If true, the terminal can save customer card after a transaction.
If false, the terminal cannot save customer card after a transaction.

Example: true

Example:true
companyNamestring or null, <= 100 characters

Indicates the name of the customer's company or organization.

This is a free-formed name that is convenient for the merchant to recognize.

Example: Peppared Street Cafe

Example:"Peppared Street Cafe"
mccCodestring or null

Indicates the MCC (merchant category code).

Example: 5411

Example:"5411"
mccCodeDescriptionstring or null

Indicates the MCC (merchant category code) description.

Example: Grocery Stores, Supermarkets

Example:"Grocery Stores, Supermarkets"
currencystring or null, <= 3 characters

Identifies the transaction's currency code (in uppercase ISO 4217 currency code).

Example: USD

Default:"USD"
Value:"USD"
Example:"USD"
maxTransactionAmountnumber or null, (double)

Indicates the maximum transaction amount limit.

Example: 10000

Example:10000
ttpIosTerminalProfileIdstring or null

Indicates the TTP (tap-to-pay terminal) profile identifier for iOS devices.

Example: ttp-ios-profile-123

Example:"ttp-ios-profile-123"
Response
{ "zeroCostProcessingOption": "None", "defaultTipsOptions": [ 10, 15, 20 ], "defaultSurchargeRate": 1.5, "defaultCashDiscountRate": 2, "defaultDualPricingRate": 1.8, "availableCurrencies": [ "USD" ], "availableCardTypes": [ "Visa", "MasterCard", "AmericanExpress", "Discover" ], "availableTransactionTypes": [ "Sale", "Capture", "Refund", "Void" ], "isTipsEnabled": true, "availablePaymentProcessors": [ { "paymentProcessorId": "ecd7c87b-7165-4a67-a067-24c9c9e1bbf4", "processorName": "TSYS", "isDefault": true, "type": "Tsys", "settlementBatchTimeSlots": [ { "hours": 2, "minutes": 10, "timezoneName": "America/New_York" } ] } ], "addressVerificationServiceOptions": { "isEnabled": true, "profile": "Strict" }, "isCustomerCardSavingByTerminalEnabled": true, "companyName": "Test Company", "mccCode": "5411", "mccCodeDescription": "Grocery Stores, Supermarkets", "currency": "USD", "maxTransactionAmount": 10000, "ttpIosTerminalProfileId": "ios-terminal-profile-id" }